case $CONFIG in
'')	 if test -r ../config.sh
	 then 
	    . ../config.sh ;
	 else 
	    spitshell=cat
	    package=IRC
	 fi
	 ;;
esac

echo "Extracting $package/ircd/version.c..."

if test -r version.c
then
   generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`

creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

sum=sum
if $sum s_serv.c 1> /dev/null 2>&1; then
:
else
  sum=cksum
fi

sumsserv=`$sum s_serv.c 2> /dev/null`;
sumsuser=`$sum s_user.c 2> /dev/null`;
sumchan=`$sum channel.c 2> /dev/null`;
sumsbsd=`$sum s_bsd.c 2> /dev/null`;
sumhash=`$sum hash.c 2> /dev/null`;
sumsmisc=`$sum s_misc.c 2> /dev/null`;
sumircd=`$sum ircd.c 2> /dev/null`;


$spitshell >version.c <<!SUB!THIS!
/*
 *   IRC - Internet Relay Chat, ircd/version.c
 *   Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "patchlevel.h"

char *generation = "$generation";
char *creation = "$creation";
char *version = IRCD_VERSION PATCH1 PATCH2 PATCH3 PATCH4\
		PATCH5 PATCH6 PATCH7 PATCH8 PATCH9;

char *infotext[] =
    {
	"$package -- PTlink IRCd " IRCD_VERSION,
	"Based on StarChat IRCD"
	"Based on the original code written by Jarkko Oikarinen",
	"Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
	"-",
	"This program is free software; you can redistribute it and/or",
	"modify it under the terms of the GNU General Public License as",
	"published by the Free Software Foundation; either version 1, or",
	"(at your option) any later version.",
	"-",
	"PTlink IRCd coders:",
	"Lamego       Joao Pinto               Lamego@PTlink.net",
	"Shadow",
	"-",
        "StarChat coders and designers:",
	"GZ           Maarten van den Bosch    gz@starchat.net",
        "InnerFIRE    Gerhard Mack             innerfire@starchat.net",
	"Zaf          Nick Clifford            zaf@starchat.net",
        "-",
        "The following people have contributed to the StarChat ircd:",
	"Alron        Dean Bailey              alron_dm@hotmail.com",
	"Defiant      Steve Walker             defiant@starchat.net",
	"Magician     Sean-Paul Rees           sean@dreamfire.net",
	"strtok       Erik Fears               strtok@softhome.net",
        "-",
	"PTlink IRCd is based on StarChat IRCD based on dal4.6.7.DreamForge",
	"-",
	IRCD_VERSION PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7
		PATCH8 PATCH9,
	"[$sumsserv] [$sumchan] [$sumsbsd] [$sumsuser]",
	"[$sumhash] [$sumsmisc] [$sumircd]",
	0,
    };
!SUB!THIS!
